/* ===========================================================
 * GT-Time
 * ===========================================================
 *
 * Copyright (C) 2010 National Institutes for the Humanities. 
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 */

package jp.nihu.gttime;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Frame;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.Toolkit;

import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.JTextPane;
import javax.swing.text.html.HTMLEditorKit;

public class AboutDialog extends T2MapDialog
{
    private static final long serialVersionUID = 1L;

    private String copyright = null;

    private String version = null;

    private String thirdParty = null;

    public AboutDialog(Frame owner, boolean modal)
    {
        super(owner, true);
        // ダイアログの表示位置を設定。
        Toolkit tk = getToolkit();
        Dimension screenSize = tk.getScreenSize();
        int posX = (screenSize.width / 2) - (getWidth() / 2);
        int posY = (screenSize.height / 2) - (getHeight() / 2);
        setLocation(posX, posY);
        // setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
    }

    public void setCopyright(String copyright)
    {
        this.copyright = copyright;
    }

    public void setVersion(String version)
    {
        this.version = version;
    }

    public void setThirdParty(String thirdParty)
    {
        this.thirdParty = thirdParty;
    }

    public void setVisible(boolean visible)
    {
        JPanel p = new JPanel();

        JLabel v = new JLabel(version);
        v.setHorizontalAlignment(JLabel.LEFT);

        JTextArea c = new JTextArea(copyright);
        c.setBackground(p.getBackground());
        c.setEditable(false);

        GridBagLayout layout = new GridBagLayout();

        GridBagConstraints gbc = new GridBagConstraints();

        gbc.gridx = 0;
        gbc.gridy = 0;
        gbc.insets = new Insets(5, 10, 5, 10);
        gbc.anchor = GridBagConstraints.WEST;
        layout.setConstraints(v, gbc);

        gbc.gridx = 0;
        gbc.gridy = 1;
        gbc.insets = new Insets(5, 10, 5, 10);
        layout.setConstraints(c, gbc);

        p.setLayout(layout);
        p.add(v);
        p.add(c);

        add(p, BorderLayout.NORTH);
        JTextPane t = new JTextPane();
        t.setEditorKit(new HTMLEditorKit());
        t.setText(thirdParty);
        t.setCaretPosition(0);
        t.setEditable(false);
        setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
        JScrollPane scrPane = new JScrollPane();
        add(scrPane, BorderLayout.CENTER);
        scrPane.getViewport().setView(t);
        super.setVisible(visible);
    }
}
