package jp.nihu.gttime;

import java.util.ArrayList;
import java.util.Hashtable;

import javax.swing.JMenuItem;

import jp.nihu.gttime.data.ProjectIF;
import jp.nihu.gttime.plugin.PluginManager;
import jp.nihu.gttime.plugin.PluginManagerException;
import jp.nihu.gttime.plugin.PluginResourceManager;
import jp.nihu.gttime.plugin.SavePlugin;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class FileSaveMenu {
	
	private static Log log = LogFactory.getLog(T2MapMenuBar.class);
	
	private static PluginResourceManager rmgr = PluginResourceManager.getManager(T2MapMenuBar.class, T2Map.LOCALE);
	
    private PluginManager pluginManager = null;
    
    private T2Map t2map = null;
    
    private ProjectIF project = null;
	
	public FileSaveMenu(T2Map t2map, ProjectIF project) {
		this.t2map = t2map;
		this.pluginManager = T2Map.getPluginManager();
		this.project = project;
	}
	
	public JMenuItem getSaveAsMenu()
    {
    	JMenuItem menu = new JMenuItem(rmgr.getString("menu.file.save.as"));
        menu.setEnabled(false);
        ArrayList<Hashtable<String, String>> plugins = pluginManager.getPlugins("SavePlugin");
//        menu.addActionListener(new SaveActionListener(plugins.get(0).get("class")));
        
        final String clazz = plugins.get(0).get("class");
        menu.addActionListener(new java.awt.event.ActionListener()
        {
            public void actionPerformed(java.awt.event.ActionEvent e)
            {
            	log.debug(clazz);
                try
                {
                    SavePlugin plugin = (SavePlugin) pluginManager.newInstance(clazz);
                    if (project == null)
                    {
                    	plugin.saveAs(t2map, T2Map.getProject());
                    }
                    else
                    {
                    	plugin.saveAs(t2map, project);
                    }
                }
                catch (PluginManagerException ex)
                {
                	log.error(ex.getMessage(),ex);
                }
            }
        });
        
//      for (int i = 0; i < plugins.size(); i++)
//      {
//      	JMenuItem item = new JMenuItem(plugins.get(i).get("name"));
//          item.addActionListener(new SaveActionListener(plugins.get(i).get("class")));
//          menu.add(item);
//      }
//      if (menu.getItemCount() < 1)
//      {
//      	JMenuItem item = new JMenuItem(rmgr.getString("no.item"));
//          menu.add(item);
//      }
        return menu;
    }
}
