/* ===========================================================
 * GT-Time
 * ===========================================================
 *
 * Copyright (C) 2010 National Institutes for the Humanities. 
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 */

package jp.nihu.gttime;

import java.awt.Frame;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;

import javax.swing.JDialog;

/**
 * T2Mapのダイアログを表示するクラスです。
 */
public class T2MapDialog extends JDialog
{
    /**
     * シリアルバーションID
     */
    private static final long serialVersionUID = 1L;

    /**
     * KeyAdapterオブジェクト
     */
    protected KeyAdapter ka = new ExitKey();

    /**
     * T2Mapダイアログを初期化します。
     * 
     * @param owner 親のフレーム
     * @param modal モーダルを設定します
     */
    public T2MapDialog(Frame owner, boolean modal)
    {
        super(owner, modal);
        addKeyListener(ka);
        setSize(new java.awt.Dimension(450, 385));
    }

    /**
     * キーが押されたときのイベントを捕獲して処理を行うクラスです。
     */
    public class ExitKey extends KeyAdapter
    {
        /**
         * ESCAPEキーが押されたときにダイアログを閉じます。
         * 
         * @param e キーイベント
         */
        @Override
        public void keyPressed(KeyEvent e)
        {
            if (e.getKeyCode() == KeyEvent.VK_ESCAPE)
            {
                dispose();
            }
        }
    }
}
