/* ===========================================================
 * GT-Time
 * ===========================================================
 *
 * Copyright (C) 2010 National Institutes for the Humanities. 
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 */

package jp.nihu.gttime.data;

/**
 * イベントの内容を設定、取得するクラスです。
 */
public class Event
{
    /**
     * イベント名オブジェクト
     */
    private String name;

    /**
     * イベントデータオブジェクト
     */
    private String data;

    /**
     * イベントデータを取得します。
     * 
     * @return 値
     */
    public String getData()
    {
        return data;
    }

    /**
     * イベントデータを設定します。
     * 
     * @param data 値
     */
    public void setData(String data)
    {
        this.data = data;
    }

    /**
     * イベント名を取得します。
     * 
     * @return イベント名
     */
    public String getName()
    {
        return name;
    }

    /**
     * イベント名を設定します。
     * 
     * @param name イベント名
     */
    public void setName(String name)
    {
        this.name = name;
    }
}
