/* ===========================================================
 * GT-Time
 * ===========================================================
 *
 * Copyright (C) 2010 National Institutes for the Humanities. 
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 */

package jp.nihu.gttime.data.property;

import java.awt.Color;
import java.awt.Font;
import java.util.Map;

public interface PropertiesIF
{
    /**
     * @return the font
     */
    public abstract String getDetailFontName();

    /**
     * @param font the font to set
     */
    public abstract void setDetailFontName(String font);
    
    
    public abstract Boolean isShowGroupName();
    
    public abstract void setShowGroupName(boolean show);
    

    /**
     * @return the dataReductionNum
     */
    public abstract Integer getDataReductionNum();

    /**
     * @param dataReductionNum the dataReductionNum to set
     */
    public abstract void setDataReductionNum(int dataReductionNum);

    /**
     * @return the changed
     */
    public abstract boolean isChanged();

    /**
     * @param changed the changed to set
     */
    public abstract void setChanged(boolean changed);

    /**
     * @return the line
     */
    public abstract LineIF getLine(String group);
    
    public abstract Map<String, LineIF> getLines();

    /**
     * @param line the line to set
     */
    public abstract void setLine(LineIF line, String group);

    /**
     * @return the polygon
     */
    public abstract PolygonIF getPolygon(String group);
    
    public abstract Map<String, PolygonIF> getPolygons();

    /**
     * @param polygon the polygon to set
     */
    public abstract void setPolygon(PolygonIF polygon, String group);

    /**
     * @return the symbol
     */
    public abstract SymbolIF getSymbol(String group);
    
    public abstract Map<String, SymbolIF> getSymbols();

    /**
     * @param symbol the symbol to set
     */
    public abstract void setSymbol(SymbolIF symbol, String group);

    /**
     * @return the font
     */
    public abstract Font getFont(String group);
    
    public abstract Map<String, Font> getFonts();

    /**
     * @param font the font to set
     */
    public abstract void setFont(Font font, String group);

    /**
     * @return the fontColor
     */
    public abstract Color getFontColor(String group);
    
    public abstract Map<String, Color> getFontColors();

    /**
     * @param fontColor the fontColor to set
     */
    public abstract void setFontColor(Color fontColor, String group);

    /**
     * @return the selectedColor
     */
    public abstract Color getSelectedColor();

    /**
     * @param selectedColor the selectedColor to set
     */
    public abstract void setSelectedColor(Color selectedColor);

    /**
     * @return the selectedColor
     */
    public abstract Color getBackgroundColor();

    /**
     * @param selectedColor the selectedColor to set
     */
    public abstract void setBackgroundColor(Color background);

    /**
     * @return the layerHeight
     */
    public abstract Integer getLayerHeight();

    /**
     * @param layerHeight the layerHeight to set
     */
    public abstract void setLayerHeight(int layerHeight);

    /**
     * @return the scaleMain
     */
    public abstract PolygonIF getScaleMain();

    /**
     * @param scaleMain the scaleMain to set
     */
    public abstract void setScaleMain(PolygonIF scaleMain);

    /**
     * @return the scaleSub
     */
    public abstract PolygonIF getScaleSub();

    /**
     * @param scaleSub the scaleSub to set
     */
    public abstract void setScaleSub(PolygonIF scaleSub);

    /**
     * @return the dataReduction
     */
    public abstract Boolean isDataReduction();

    /**
     * @param dataReduction the dataReduction to set
     */
    public abstract void setDataReduction(boolean dataReduction);

}