package jp.nihu.gttime.plugin;

import java.io.File;
import java.util.concurrent.Callable;

import javax.swing.JPanel;

import jp.nihu.gttime.T2Map;
import jp.nihu.gttime.data.DatasetIF;
import jp.nihu.gttime.utility.ExtensionFileFilter;

public abstract class ExportPlugin implements Plugin {
    /**
     * T2Mapオブジェクト
     */
    private T2Map parent;
    
    /**
     * T2Mapオブジェクトを取得します。
     * 
     * @return T2Mapオブジェクト
     */
    protected T2Map getParentComponent()
    {
        return parent;
    }

    /**
     * PluginManagerオブジェクト
     */
    private PluginManager plugins;
    
    /**
     * ファイルチューザー用の拡張子フィルターを取得します。
     * @return
     */
    public abstract ExtensionFileFilter getExtensionFileFilter();
    
    /**
     * ファイルチューザー用のアクセサリパネルを取得します。
     * @return
     */
    public abstract JPanel getJPanel();
    
//    public abstract void save(DatasetIF dataset, File file);
    public abstract void save(Object data, File file);
    
    public void init(T2Map parent, PluginManager plugins)
    {
        this.parent = parent;
        this.plugins = plugins;
//        this.ioError = new IOError();
    }
}
