/* ===========================================================
 * GT-Time
 * ===========================================================
 *
 * Copyright (C) 2010 National Institutes for the Humanities. 
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 */

package jp.nihu.gttime.plugin;

import javax.print.PrintException;

/**
 * 画像印刷用プラグインインターフェース
 */
public interface ImagePrinterPlugin extends Plugin
{

    /**
     * 画像印刷を行う。
     * 
     * @param p 画像描画用オブジェクト
     * @return 印刷に成功した場合 {@code true}
     * @exception PrintException この例外によって、原因をより正確に記述する インタフェースが実装されることもある
     */
    public boolean print(LayerPainter p) throws PrintException;

    /**
     * 現在登録されているプリンタで画像印刷が可能かを判定する。
     * 
     * @return 印刷可能な場合 {@code true}
     */
    public boolean isPrintEnabled();

}
