/* ===========================================================
 * GT-Time
 * ===========================================================
 *
 * Copyright (C) 2010 National Institutes for the Humanities. 
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 */

package jp.nihu.gttime.plugin.measure;

import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.TitledBorder;

import jp.nihu.gttime.T2Map;
import jp.nihu.gttime.plugin.PluginResourceManager;

/**
 * 指定時間範囲内の最大値を表示するクラスです。
 */
public class Max extends MaxMinAveNum
{
    /**
     * リソースマネージャーオブジェクト
     */
    private static PluginResourceManager rmgr = PluginResourceManager.getManager(Max.class, T2Map.LOCALE);

    protected void init()
    {
        dialog.setResizable(false);
        dialog.setTitle(rmgr.getString("measure.title"));
    }

    protected void setResultToPanel()
    {
    	if (onlyAll)
    	{
    		dialog.setSize(200, 120);
    		setResultToPanel2(rmgr.getString("measure.title.part2"));
    		return;
    	}
        if (numberNum != anumberNum)
        {
            dialog.setSize(200, 170);
            setResultToPanel1(rmgr.getString("measure.title.part1"));
            setResultToPanel2(rmgr.getString("measure.title.part2"));
        }
        else
        {
            dialog.setSize(200, 120);
            setResultToPanel1(rmgr.getString("measure.title.part1"));
        }
    }

    private void setResultToPanel1(String title)
    {
        JPanel p = new JPanel();
        p.setLayout(new GridBagLayout());
        GridBagConstraints gridBagConstraints0 = new GridBagConstraints();
        gridBagConstraints0.gridx = 0;
        gridBagConstraints0.gridy = 0;
        gridBagConstraints0.anchor = GridBagConstraints.WEST;
        p.setBorder(new TitledBorder(title));
        JLabel maxName = new JLabel(rmgr.getString("max.value") + selectMax);
        p.add(maxName, gridBagConstraints0);
        p.setPreferredSize(new Dimension(dialog.getWidth() - 20, 45));
        resultPanel.add(p);
    }

    private void setResultToPanel2(String title)
    {
        JPanel p = new JPanel();
        p.setLayout(new GridBagLayout());
        GridBagConstraints gridBagConstraints0 = new GridBagConstraints();
        gridBagConstraints0.gridx = 0;
        gridBagConstraints0.gridy = 0;
        gridBagConstraints0.anchor = GridBagConstraints.WEST;
        p.setBorder(new TitledBorder(title));
        JLabel maxName = new JLabel(rmgr.getString("max.value") + aselectMax);
        p.add(maxName, gridBagConstraints0);
        p.setPreferredSize(new Dimension(dialog.getWidth() - 20, 45));
        resultPanel.add(p);
    }
}