package jp.nihu.gttime.utility;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;

import javax.swing.JFileChooser;
import javax.swing.JPanel;
import javax.swing.JTabbedPane;
import javax.swing.filechooser.FileFilter;

import jp.nihu.gttime.T2MapDialog;
import jp.nihu.gttime.T2MapFileChooser;

public class RemoteAndLocalFileChooser extends T2MapDialog {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private String path = "";
	
	public String getPath() {
		return path;
	}

	public RemoteAndLocalFileChooser(Frame owner, boolean modal) {
        super(owner, modal);
        setTitle("開く");
        setSize(750, 480);
        
		JTabbedPane tabbedpane = new JTabbedPane();
		
		final JFileChooser chooser = new T2MapFileChooser();
		chooser.setFileFilter(new ProjectFileFilter());
		chooser.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				String action = e.getActionCommand();
				if (action.equals("ApproveSelection")) {
					if (chooser.getSelectedFile() != null) {
						path = chooser.getSelectedFile().getAbsolutePath();
						setVisible(false);
					}
				} else {
					path = "";
					setVisible(false);
				}
			}
		});
		chooser.setOpaque(true);
		//chooser.setBackground(Color.red);
		tabbedpane.addTab("Local", chooser);
		
		JPanel p = new JPanel();
		p.setBackground(Color.red);
		tabbedpane.addTab("Remote", p);
		
		getContentPane().add(tabbedpane, BorderLayout.CENTER);
	}
	
	/**
     * Filterを実装するクラスです。
     */
    static class ProjectFileFilter extends FileFilter
    {
        /**
         * 抽象パス名が示すファイルがディレクトリであるかどうかを判定します。
         * 
         * @param file Fileオブジェクト
         */
        public boolean accept(File file)
        {
            if (file.isDirectory())
            {
                return true;
            }
            else
            {
                String extension = getExtension(file.getName()).toLowerCase();
                if (extension != null)
                {
                    if (extension.equals("tms"))
                    {
                        return true;
                    }
                    else if (extension.equals("gts"))
                    {
                        return true;
                    }
                }
            }
            return false;
        }

        /**
         * tmsファイルのdescriptionを取得する。
         * 
         * @return descriptionの文字列値
         */
        public String getDescription()
        {
            return "GTS / ECAI Project file";
        }

        /**
         * ファイルの拡張子を取得する。
         * 
         * @param name ファイル名
         * @return 拡張子
         */
        private String getExtension(String name)
        {
            int x = name.lastIndexOf('.') + 1;
            return name.substring(x);
        }
    }
}
