<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
  xmlns:gt="http://www.h-gis.org/gt"
  xmlns:hgis="http://www.h-gis.org/hgis">
  <xsl:output encoding="UTF-8" indent="yes"/>
  <xsl:param name="FILE"/>
  <xsl:template match="/METADATA">
    <gt:gtm version="1.0">
      <gt:metadata>
        <gt:spatial>
          <gt:westBoundLongitude/>
          <gt:eastBoundLongitude/>
          <gt:southBoundLatitude/>
          <gt:northBoundLatitude/>
        </gt:spatial>
        <gt:temporal>
          <gt:begin/>
          <gt:end/>
        </gt:temporal>
        <hgis:hgisMetadata version="1.0">
          <hgis:title>
            <xsl:value-of select="META[@NAME='dc.title']/@CONTENT"/>
          </hgis:title>
          <hgis:identifier/>
          <hgis:creater/>
        </hgis:hgisMetadata>
      </gt:metadata>
      <gt:resource>
        <gt:filename>
          <xsl:value-of select="$FILE"/>
        </gt:filename>
        <gt:type>application/xml</gt:type>
        <gt:detaDefinition>XML for HuTime</gt:detaDefinition>
        <!--
        <gt:spatial type="">
          <gt:name/>
          <gt:projection/>
          <gt:coordinate/>
          <gt:latitudeField>location/x</gt:latitudeField>
          <gt:longitudeField>location/y</gt:longitudeField>
        </gt:spatial>
        <gt:temporal type="Term">
          <gt:name/>
          <gt:calendar>Gregorian</gt:calendar>
          <gt:beginField>datetime/from</gt:beginField>
          <gt:endField>datetime/from</gt:endField>
        </gt:temporal>
        <gt:record>/records/record</gt:record>
        -->
      </gt:resource>
      <gt:application>
        <hgis:hgisApplications version="1.0">
          <hgis:common/>
          <hgis:time version="1.0">
            <hgis:layerType>
              <xsl:value-of select="META[@NAME='t2map.layertype']/@CONTENT"/>
            </hgis:layerType>
          </hgis:time>
        </hgis:hgisApplications>
      </gt:application>
    </gt:gtm>
  </xsl:template>
</xsl:stylesheet>