<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
  xmlns:hgis="http://www.h-gis.org/hgis">
  <xsl:output encoding="UTF-8" indent="yes"/>
  <xsl:param name="BASE_PATH"/>
  <xsl:template match="/Mapspace">
    <hgis:gts version="1.0">
      <hgis:title>
        <xsl:value-of select="Name/text()"/>
      </hgis:title>
      <hgis:projection/>
      <hgis:coordinate/>
      <hgis:calendar/>
      <hgis:displayedExtent>
        <hgis:westBoundLongitude/>
        <hgis:eastBoundLongitude/>
        <hgis:southBoundLatitude/>
        <hgis:northBoundLatitude/>
        <hgis:begin/>
        <hgis:end/>
      </hgis:displayedExtent>
      <xsl:apply-templates select="Dataset|MapspaceFile"/>
    </hgis:gts>
  </xsl:template>
  
  <xsl:template match="Dataset">
    <xsl:variable name="FILE" select="LocalFilePath/text()"/>
    <xsl:variable name="DOC" select="document(concat($BASE_PATH,'/',$FILE))"/>
    <hgis:layer>
      <hgis:resourceFileName>
        <!--xsl:value-of select="concat(substring-before($FILE,'.'),'.gtm')"/-->
        <xsl:value-of select="$FILE"/>
      </hgis:resourceFileName>
      <hgis:drawOrder>
        <xsl:value-of select="position()"/>
      </hgis:drawOrder>
      <hgis:isVisible>true</hgis:isVisible>
      <hgis:resourceStatus>
        <hgis:common/>
        <hgis:time>
          <hgis:layerType>
            <xsl:value-of select="$DOC/METADATA/META[@NAME='t2map.layertype']/@CONTENT"/>
          </hgis:layerType>
        </hgis:time>
      </hgis:resourceStatus>
    </hgis:layer>
  </xsl:template>
  
  <xsl:template match="MapspaceFile">
    <hgis:project>
      <hgis:resourceFileName>
        <!--xsl:value-of select="concat(substring-before(text(),'.'),'.gts')"/-->
        <xsl:value-of select="text()"/>
      </hgis:resourceFileName>
      <hgis:drawOrder>
        <xsl:value-of select="position()"/>
      </hgis:drawOrder>
      <hgis:isVisible>true</hgis:isVisible>
      <hgis:isOpen>true</hgis:isOpen>
    </hgis:project>
  </xsl:template>
</xsl:stylesheet>